Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Object_Manager_Preallocations Class Reference

Performs preallocations of certain statically allocated services needed by ACE. More...

Collaboration diagram for ACE_Object_Manager_Preallocations:

[legend]
List of all members.

## Public Methods
| ACE_Object_Manager_Preallocations (void)
| ~ACE_Object_Manager_Preallocations (void)
## Private Attributes
ACE_Static_Svc_Descriptor | ace_svc_desc_ACE_Service_Manager

## Detailed Description

Performs preallocations of certain statically allocated services needed by ACE.

## Constructor & Destructor Documentation

ACE_Object_Manager_Preallocations::ACE_Object_Manager_Preallocations | ( | void |  | ) |

ACE_Object_Manager_Preallocations::~ACE_Object_Manager_Preallocations | ( | void |  | ) |

## Member Data Documentation

ACE_Static_Svc_Descriptor ACE_Object_Manager_Preallocations::ace_svc_desc_ACE_Service_Manager`[private]`

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Object_Manager.cpp